import * as i0 from '@angular/core';
import { Component, Input, NgModule, Injectable, Pipe, Directive, ElementRef, ContentChildren, ViewChild, Optional, forwardRef, SkipSelf, Host, Inject, TemplateRef, ContentChild } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { SlideUpDownAnimation, FadeInOutAnimation, CarouselSlideAnimation } from '@mintplayer/ng-animations';
import { Subject, BehaviorSubject } from 'rxjs';
import { map, takeUntil, take } from 'rxjs/operators';
import { RouterModule } from '@angular/router';
import * as i1$1 from '@mintplayer/ng-click-outside';
import { ClickOutsideModule } from '@mintplayer/ng-click-outside';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

var Color;
(function (Color) {
    Color[Color["primary"] = 0] = "primary";
    Color[Color["secondary"] = 1] = "secondary";
    Color[Color["success"] = 2] = "success";
    Color[Color["danger"] = 3] = "danger";
    Color[Color["warning"] = 4] = "warning";
    Color[Color["info"] = 5] = "info";
    Color[Color["light"] = 6] = "light";
    Color[Color["dark"] = 7] = "dark";
    Color[Color["body"] = 8] = "body";
    Color[Color["white"] = 9] = "white";
    Color[Color["transparent"] = 10] = "transparent";
})(Color || (Color = {}));

class BsAlertComponent {
    constructor() {
        this.type = Color.primary;
        this.colors = Color;
        this.isVisible = true;
    }
    ngOnInit() {
    }
}
BsAlertComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsAlertComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsAlertComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.1.0", type: BsAlertComponent, selector: "bs-alert", inputs: { type: "type" }, ngImport: i0, template: "<div class=\"mb-3 overflow-hidden\" *ngIf=\"isVisible\" [@fadeInOut]>\n    <div class=\"alert mb-0\" [ngClass]=\"'alert-' + colors[type]\">\n        <ng-content></ng-content>\n    </div>\n</div>", styles: ["::ng-deep .alert .btn{bottom:0;display:inline-flex;align-items:center}\n"], directives: [{ type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }], animations: [SlideUpDownAnimation, FadeInOutAnimation] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsAlertComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-alert', animations: [SlideUpDownAnimation, FadeInOutAnimation], template: "<div class=\"mb-3 overflow-hidden\" *ngIf=\"isVisible\" [@fadeInOut]>\n    <div class=\"alert mb-0\" [ngClass]=\"'alert-' + colors[type]\">\n        <ng-content></ng-content>\n    </div>\n</div>", styles: ["::ng-deep .alert .btn{bottom:0;display:inline-flex;align-items:center}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { type: [{
                type: Input
            }] } });

class BsAlertCloseComponent {
    constructor(alert) {
        this.alert = alert;
    }
    ngOnInit() {
    }
    closeAlert() {
        this.alert.isVisible = false;
    }
}
BsAlertCloseComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsAlertCloseComponent, deps: [{ token: BsAlertComponent }], target: i0.ɵɵFactoryTarget.Component });
BsAlertCloseComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.1.0", type: BsAlertCloseComponent, selector: "bs-alert-close", ngImport: i0, template: "<button class=\"btn float-end\" (click)=\"closeAlert()\">\n    <span class=\"text-dark\">\u00D7</span>\n</button>", styles: ["button{top:0;right:0;border:0;position:absolute;padding:.75rem 1.25rem!important;background:transparent}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsAlertCloseComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-alert-close', template: "<button class=\"btn float-end\" (click)=\"closeAlert()\">\n    <span class=\"text-dark\">\u00D7</span>\n</button>", styles: ["button{top:0;right:0;border:0;position:absolute;padding:.75rem 1.25rem!important;background:transparent}\n"] }]
        }], ctorParameters: function () { return [{ type: BsAlertComponent }]; } });

class BsAlertModule {
}
BsAlertModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsAlertModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsAlertModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsAlertModule, declarations: [BsAlertComponent,
        BsAlertCloseComponent], imports: [CommonModule], exports: [BsAlertComponent,
        BsAlertCloseComponent] });
BsAlertModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsAlertModule, imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsAlertModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [
                        BsAlertComponent,
                        BsAlertCloseComponent
                    ],
                    exports: [
                        BsAlertComponent,
                        BsAlertCloseComponent
                    ]
                }]
        }] });

class BsCardComponent {
    constructor() {
    }
    ngOnInit() {
    }
    ngAfterViewInit() {
        // console.log('header', this.header);
    }
}
BsCardComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCardComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsCardComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.1.0", type: BsCardComponent, selector: "bs-card", ngImport: i0, template: "<div class=\"card\" style=\"width: 18rem;\">\n    <ng-content select=\"bs-card-header\"></ng-content>\n    <div class=\"card-block\">\n        <ng-content></ng-content>\n    </div>\n</div>", styles: [".card-block{margin:-1px}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCardComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-card', template: "<div class=\"card\" style=\"width: 18rem;\">\n    <ng-content select=\"bs-card-header\"></ng-content>\n    <div class=\"card-block\">\n        <ng-content></ng-content>\n    </div>\n</div>", styles: [".card-block{margin:-1px}\n"] }]
        }], ctorParameters: function () { return []; } });

class BsCardHeaderComponent {
    constructor() {
    }
    ngOnInit() {
    }
}
BsCardHeaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCardHeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsCardHeaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.1.0", type: BsCardHeaderComponent, selector: "bs-card-header", ngImport: i0, template: "<div class=\"card-header\">\n    <ng-content></ng-content>\n</div>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCardHeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-card-header', template: "<div class=\"card-header\">\n    <ng-content></ng-content>\n</div>", styles: [""] }]
        }], ctorParameters: function () { return []; } });

class BsCardModule {
}
BsCardModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCardModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsCardModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCardModule, declarations: [BsCardComponent,
        BsCardHeaderComponent], imports: [CommonModule], exports: [BsCardComponent,
        BsCardHeaderComponent] });
BsCardModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCardModule, imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCardModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [
                        BsCardComponent,
                        BsCardHeaderComponent
                    ],
                    exports: [
                        BsCardComponent,
                        BsCardHeaderComponent
                    ]
                }]
        }] });

class BsCalendarMonthService {
    constructor() {
    }
    getWeeks(month) {
        let firstAndLast = this.getFirstAndLastDayOfMonth(month);
        let days = this.dateDiff(firstAndLast.first, firstAndLast.last) + 1;
        let allDays = [
            ...this.generateList(this.dayOfWeekMondayBased(firstAndLast.first)).map(d => null),
            ...this.generateList(days).map(d => {
                return {
                    date: new Date(firstAndLast.first.getFullYear(), firstAndLast.first.getMonth(), firstAndLast.first.getDate() + d),
                    dayOfMonth: d + 1,
                };
            }),
            ...this.generateList(6 - this.dayOfWeekMondayBased(firstAndLast.last)).map(d => null),
        ];
        let weeks = this.chunk(allDays, 7);
        let weeksMapped = weeks.map((w, i) => {
            var _a;
            return {
                number: this.weekOfYear(new Date(month.getFullYear(), month.getMonth(), (_a = w.find(d => d !== null)) === null || _a === void 0 ? void 0 : _a.dayOfMonth)),
                week: w
            };
        });
        return weeksMapped;
    }
    generateList(count) {
        return [...Array(count).keys()];
    }
    dayOfWeekMondayBased(date) {
        let d = date.getDay() - 1;
        if (d < 0) {
            return 6;
        }
        else {
            return d;
        }
    }
    weekOfYear(date) {
        let dateClone = new Date(Date.UTC(date.getFullYear(), date.getMonth(), date.getDate()));
        dateClone.setUTCDate(dateClone.getUTCDate() + 4 - (dateClone.getUTCDay() || 7));
        let yearStart = new Date(Date.UTC(dateClone.getUTCFullYear(), 0, 1));
        let utcDiff = this.toUTC(dateClone) - this.toUTC(yearStart);
        return Math.ceil((utcDiff / (1000 * 60 * 60 * 24) + 1) / 7);
    }
    getFirstAndLastDayOfMonth(date) {
        return {
            first: new Date(date.getFullYear(), date.getMonth(), 1),
            last: new Date(date.getFullYear(), date.getMonth() + 1, 0)
        };
    }
    dateDiff(date1, date2) {
        const utc1 = this.toUTC(date1);
        const utc2 = this.toUTC(date2);
        const msPerDay = 1000 * 60 * 60 * 24;
        return Math.floor((utc2 - utc1) / msPerDay);
    }
    dayOfYear(date) {
        const start = new Date(date.getFullYear(), 0, 0);
        return this.dateDiff(start, date);
    }
    toUTC(date) {
        return Date.UTC(date.getFullYear(), date.getMonth(), date.getDate());
    }
    chunk(items, size) {
        let result = [];
        for (let i = 0; i < items.length; i += size) {
            result.push(items.slice(i, i + size));
        }
        return result;
    }
}
BsCalendarMonthService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCalendarMonthService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
BsCalendarMonthService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCalendarMonthService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCalendarMonthService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class UcFirstPipe {
    transform(value, ...args) {
        return value[0].toUpperCase() + value.slice(1);
    }
}
UcFirstPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: UcFirstPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
UcFirstPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: UcFirstPipe, name: "ucFirst" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: UcFirstPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'ucFirst'
                }]
        }] });

class MonthNamePipe {
    transform(date, ...args) {
        return date.toLocaleString("default", { month: 'long' });
    }
}
MonthNamePipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: MonthNamePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
MonthNamePipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: MonthNamePipe, name: "monthName" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: MonthNamePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'monthName'
                }]
        }] });

class BsCalendarComponent {
    constructor(calendarMonthService) {
        this.calendarMonthService = calendarMonthService;
        this.daysOfWeek = ['Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa', 'Su'];
        //#region SelectedDate
        this.selectedDate = new Date();
        //#endregion
        //#region Weeks
        this._weeks = [];
    }
    ngOnInit() {
        this.month = new Date();
    }
    get month() {
        return this._month;
    }
    set month(value) {
        this._month = value;
        this.weeks = this.calendarMonthService.getWeeks(this.month);
    }
    get weeks() {
        return this._weeks;
    }
    set weeks(value) {
        this._weeks = value;
        if (this._weeks.length > 1) {
            this.daysOfWeek = this._weeks[1].week.map(d => {
                let date = new Date(this.month.getFullYear(), this.month.getMonth(), d === null || d === void 0 ? void 0 : d.dayOfMonth);
                return date.toLocaleString("default", { weekday: 'short' });
            });
        }
    }
    //#endregion
    previousMonth() {
        this.month = new Date(this.month.getFullYear(), this.month.getMonth() - 1, 1);
        return false;
    }
    nextMonth() {
        this.month = new Date(this.month.getFullYear(), this.month.getMonth() + 1, 1);
        return false;
    }
    isSameDate(date1, date2) {
        return (date1.getFullYear() === date2.getFullYear())
            && (date1.getMonth() === date2.getMonth())
            && (date1.getDate() === date2.getDate());
    }
}
BsCalendarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCalendarComponent, deps: [{ token: BsCalendarMonthService }], target: i0.ɵɵFactoryTarget.Component });
BsCalendarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.1.0", type: BsCalendarComponent, selector: "bs-calendar", ngImport: i0, template: "<table class=\"table w-auto\">\n    <tr>\n        <td>\n            <button class=\"btn btn-default\" (click)=\"previousMonth()\">\n                <i class=\"bi bi-chevron-left fw-bolder\"></i>\n            </button>\n        </td>\n        <td colspan=\"6\" class=\"fw-bolder\">\n            {{ month | monthName | ucFirst }}\n            {{ month.getFullYear() }}\n        </td>\n        <td>\n            <button class=\"btn btn-default border-bottom-0\" (click)=\"nextMonth()\">\n                <i class=\"bi bi-chevron-right fw-bolder\"></i>\n            </button>\n        </td>\n    </tr>\n    <tr>\n        <th></th>\n        <th *ngFor=\"let dayOfWeek of daysOfWeek\">\n            {{ dayOfWeek }}\n        </th>\n    </tr>\n    <tr *ngFor=\"let week of weeks\">\n        <th>\n            {{ week.number }}\n        </th>\n        <td [class.selected]=\"day === null ? false : isSameDate(selectedDate, day.date)\" *ngFor=\"let day of week.week\" (click)=\"day && selectedDate = day.date\">\n            <span *ngIf=\"day !== null\">{{ day.dayOfMonth }}</span>\n        </td>\n    </tr>\n</table>", styles: ["table{border-collapse:collapse;border:1px solid rgba(0,0,0,.125)}table td,table th{width:40px;height:40px;text-align:center}table td span,table th span{cursor:pointer;white-space:nowrap}table td.selected{background-color:#0d6efd;color:#fff}table th{background-color:#f8f9fa}table tr{border-top:none}table tr:first-child>td{border-bottom:1px solid rgba(0,0,0,.125)}table tr:nth-of-type(2)>th:not(:nth-of-type(1)){border-bottom:1px solid rgba(0,0,0,.125)}table tr:not(:nth-of-type(2))>th:nth-of-type(1){border-right:1px solid rgba(0,0,0,.125)}\n"], directives: [{ type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], pipes: { "ucFirst": UcFirstPipe, "monthName": MonthNamePipe } });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCalendarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-calendar', template: "<table class=\"table w-auto\">\n    <tr>\n        <td>\n            <button class=\"btn btn-default\" (click)=\"previousMonth()\">\n                <i class=\"bi bi-chevron-left fw-bolder\"></i>\n            </button>\n        </td>\n        <td colspan=\"6\" class=\"fw-bolder\">\n            {{ month | monthName | ucFirst }}\n            {{ month.getFullYear() }}\n        </td>\n        <td>\n            <button class=\"btn btn-default border-bottom-0\" (click)=\"nextMonth()\">\n                <i class=\"bi bi-chevron-right fw-bolder\"></i>\n            </button>\n        </td>\n    </tr>\n    <tr>\n        <th></th>\n        <th *ngFor=\"let dayOfWeek of daysOfWeek\">\n            {{ dayOfWeek }}\n        </th>\n    </tr>\n    <tr *ngFor=\"let week of weeks\">\n        <th>\n            {{ week.number }}\n        </th>\n        <td [class.selected]=\"day === null ? false : isSameDate(selectedDate, day.date)\" *ngFor=\"let day of week.week\" (click)=\"day && selectedDate = day.date\">\n            <span *ngIf=\"day !== null\">{{ day.dayOfMonth }}</span>\n        </td>\n    </tr>\n</table>", styles: ["table{border-collapse:collapse;border:1px solid rgba(0,0,0,.125)}table td,table th{width:40px;height:40px;text-align:center}table td span,table th span{cursor:pointer;white-space:nowrap}table td.selected{background-color:#0d6efd;color:#fff}table th{background-color:#f8f9fa}table tr{border-top:none}table tr:first-child>td{border-bottom:1px solid rgba(0,0,0,.125)}table tr:nth-of-type(2)>th:not(:nth-of-type(1)){border-bottom:1px solid rgba(0,0,0,.125)}table tr:not(:nth-of-type(2))>th:nth-of-type(1){border-right:1px solid rgba(0,0,0,.125)}\n"] }]
        }], ctorParameters: function () { return [{ type: BsCalendarMonthService }]; } });

class BsMonthNamePipeModule {
}
BsMonthNamePipeModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsMonthNamePipeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsMonthNamePipeModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsMonthNamePipeModule, declarations: [MonthNamePipe], imports: [CommonModule], exports: [MonthNamePipe] });
BsMonthNamePipeModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsMonthNamePipeModule, imports: [[
            CommonModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsMonthNamePipeModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        MonthNamePipe
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        MonthNamePipe
                    ]
                }]
        }] });

class BsUcFirstPipeModule {
}
BsUcFirstPipeModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsUcFirstPipeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsUcFirstPipeModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsUcFirstPipeModule, declarations: [UcFirstPipe], imports: [CommonModule], exports: [UcFirstPipe] });
BsUcFirstPipeModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsUcFirstPipeModule, imports: [[
            CommonModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsUcFirstPipeModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        UcFirstPipe
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        UcFirstPipe
                    ]
                }]
        }] });

class WeekdayNamePipe {
    transform(date, ...args) {
        return date.toLocaleString("default", { weekday: 'short' });
    }
}
WeekdayNamePipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: WeekdayNamePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
WeekdayNamePipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: WeekdayNamePipe, name: "weekdayName" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: WeekdayNamePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'weekdayName'
                }]
        }] });

class BsWeekdayNameModule {
}
BsWeekdayNameModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsWeekdayNameModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsWeekdayNameModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsWeekdayNameModule, declarations: [WeekdayNamePipe], imports: [CommonModule], exports: [WeekdayNamePipe] });
BsWeekdayNameModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsWeekdayNameModule, imports: [[
            CommonModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsWeekdayNameModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        WeekdayNamePipe
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        WeekdayNamePipe
                    ]
                }]
        }] });

class BsCalendarModule {
}
BsCalendarModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCalendarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsCalendarModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCalendarModule, declarations: [BsCalendarComponent], imports: [CommonModule,
        BsUcFirstPipeModule,
        BsMonthNamePipeModule,
        BsWeekdayNameModule], exports: [BsCalendarComponent] });
BsCalendarModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCalendarModule, imports: [[
            CommonModule,
            BsUcFirstPipeModule,
            BsMonthNamePipeModule,
            BsWeekdayNameModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCalendarModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsCalendarComponent
                    ],
                    imports: [
                        CommonModule,
                        BsUcFirstPipeModule,
                        BsMonthNamePipeModule,
                        BsWeekdayNameModule
                    ],
                    exports: [
                        BsCalendarComponent
                    ]
                }]
        }] });

class BsCarouselImageDirective {
    constructor() { }
}
BsCarouselImageDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCarouselImageDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsCarouselImageDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.1.0", type: BsCarouselImageDirective, selector: "img[bsCarouselImage]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCarouselImageDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'img[bsCarouselImage]'
                }]
        }], ctorParameters: function () { return []; } });

class BsCarouselComponent {
    constructor() {
        this.destroyed$ = new Subject();
        this.currentImageCounter$ = new BehaviorSubject(-1);
        this.currentImageIndex$ = this.currentImageCounter$
            .pipe(map((counter) => {
            const l = this.images.length;
            return ((counter % l) + l) % l;
        }))
            .pipe(takeUntil(this.destroyed$));
        this.currentImage$ = this.currentImageIndex$
            .pipe(map((index) => { var _a; return (_a = this.images.get(index)) !== null && _a !== void 0 ? _a : null; }))
            .pipe(takeUntil(this.destroyed$));
    }
    ngOnInit() { }
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
    ngAfterContentInit() {
        if (this.images.length > 0) {
            this.currentImageCounter$.next(0);
        }
        else {
            this.currentImageCounter$.next(-1);
        }
    }
    previousImage() {
        this.currentImageCounter$
            .pipe(take(1))
            .subscribe((currentImageCounter) => {
            this.currentImageCounter$.next(currentImageCounter - 1);
        });
    }
    nextImage() {
        this.currentImageCounter$
            .pipe(take(1))
            .subscribe((currentImageCounter) => {
            this.currentImageCounter$.next(currentImageCounter + 1);
        });
    }
    setCurrentImage(index) {
        this.currentImageCounter$.next(index);
    }
}
BsCarouselComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCarouselComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsCarouselComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.1.0", type: BsCarouselComponent, selector: "bs-carousel", queries: [{ propertyName: "images", predicate: BsCarouselImageDirective, read: ElementRef }], ngImport: i0, template: "<div class=\"carousel slide\">\n    <div class=\"carousel-indicators\">\n        <button *ngFor=\"let image of images; let i = index\" type=\"button\" (click)=\"setCurrentImage(i)\" data-bs-target\n            [class.active]=\"(currentImageIndex$ | async) === i\"\n            [attr.aria-current]=\"(currentImageIndex$ | async) === i ? true : null\"\n            [attr.aria-label]=\"'Slide ' + i\"></button>\n    </div>\n    <div class=\"carousel-inner\" [@carouselSlide]=\"currentImageCounter$ | async\">\n        <ng-container *ngFor=\"let image of images; let i = index\">\n            <!-- @fadeInOut -->\n            <div class=\"carousel-item\" [class.active]=\"true\" *ngIf=\"(currentImageIndex$ | async) === i\">\n                <img [src]=\"image.nativeElement.src\" class=\"d-block\" [attr.alt]=\"image.nativeElement.alt\" [class.w-100]=\"true\">\n            </div>\n        </ng-container>\n    </div>\n    <button class=\"carousel-control-prev\" type=\"button\" (click)=\"previousImage()\">\n        <span class=\"carousel-control-prev-icon\" aria-hidden=\"true\"></span>\n        <span class=\"visually-hidden\">Previous</span>\n    </button>\n    <button class=\"carousel-control-next\" type=\"button\" (click)=\"nextImage()\">\n        <span class=\"carousel-control-next-icon\" aria-hidden=\"true\"></span>\n        <span class=\"visually-hidden\">Next</span>\n    </button>\n</div>", styles: [".carousel{min-height:100px}\n"], directives: [{ type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], pipes: { "async": i1.AsyncPipe }, animations: [FadeInOutAnimation, CarouselSlideAnimation] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCarouselComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-carousel', animations: [FadeInOutAnimation, CarouselSlideAnimation], template: "<div class=\"carousel slide\">\n    <div class=\"carousel-indicators\">\n        <button *ngFor=\"let image of images; let i = index\" type=\"button\" (click)=\"setCurrentImage(i)\" data-bs-target\n            [class.active]=\"(currentImageIndex$ | async) === i\"\n            [attr.aria-current]=\"(currentImageIndex$ | async) === i ? true : null\"\n            [attr.aria-label]=\"'Slide ' + i\"></button>\n    </div>\n    <div class=\"carousel-inner\" [@carouselSlide]=\"currentImageCounter$ | async\">\n        <ng-container *ngFor=\"let image of images; let i = index\">\n            <!-- @fadeInOut -->\n            <div class=\"carousel-item\" [class.active]=\"true\" *ngIf=\"(currentImageIndex$ | async) === i\">\n                <img [src]=\"image.nativeElement.src\" class=\"d-block\" [attr.alt]=\"image.nativeElement.alt\" [class.w-100]=\"true\">\n            </div>\n        </ng-container>\n    </div>\n    <button class=\"carousel-control-prev\" type=\"button\" (click)=\"previousImage()\">\n        <span class=\"carousel-control-prev-icon\" aria-hidden=\"true\"></span>\n        <span class=\"visually-hidden\">Previous</span>\n    </button>\n    <button class=\"carousel-control-next\" type=\"button\" (click)=\"nextImage()\">\n        <span class=\"carousel-control-next-icon\" aria-hidden=\"true\"></span>\n        <span class=\"visually-hidden\">Next</span>\n    </button>\n</div>", styles: [".carousel{min-height:100px}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { images: [{
                type: ContentChildren,
                args: [BsCarouselImageDirective, { read: ElementRef }]
            }] } });

class BsCarouselModule {
}
BsCarouselModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCarouselModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsCarouselModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCarouselModule, declarations: [BsCarouselComponent,
        BsCarouselImageDirective], imports: [CommonModule], exports: [BsCarouselComponent,
        BsCarouselImageDirective] });
BsCarouselModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCarouselModule, imports: [[
            CommonModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsCarouselModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsCarouselComponent,
                        BsCarouselImageDirective
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsCarouselComponent,
                        BsCarouselImageDirective
                    ]
                }]
        }] });

class BsListGroupItemComponent {
    constructor() {
    }
    ngOnInit() {
    }
}
BsListGroupItemComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsListGroupItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsListGroupItemComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.1.0", type: BsListGroupItemComponent, selector: "bs-list-group-item", ngImport: i0, template: "<li class=\"list-group-item\">\n    <ng-content></ng-content>\n</li>", styles: [".list-group-item{margin-bottom:-1px}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsListGroupItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-list-group-item', template: "<li class=\"list-group-item\">\n    <ng-content></ng-content>\n</li>", styles: [".list-group-item{margin-bottom:-1px}\n"] }]
        }], ctorParameters: function () { return []; } });

class BsListGroupComponent {
    constructor() {
    }
    ngOnInit() {
    }
}
BsListGroupComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsListGroupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsListGroupComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.1.0", type: BsListGroupComponent, selector: "bs-list-group", queries: [{ propertyName: "items", predicate: BsListGroupItemComponent }], ngImport: i0, template: "<ul class=\"list-group mt-0\">\n    <ng-content></ng-content>\n</ul>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsListGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-list-group', template: "<ul class=\"list-group mt-0\">\n    <ng-content></ng-content>\n</ul>", styles: [""] }]
        }], ctorParameters: function () { return []; }, propDecorators: { items: [{
                type: ContentChildren,
                args: [BsListGroupItemComponent]
            }] } });

class BsListGroupModule {
}
BsListGroupModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsListGroupModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsListGroupModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsListGroupModule, declarations: [BsListGroupComponent,
        BsListGroupItemComponent], imports: [CommonModule], exports: [BsListGroupComponent,
        BsListGroupItemComponent] });
BsListGroupModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsListGroupModule, imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsListGroupModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [
                        BsListGroupComponent,
                        BsListGroupItemComponent
                    ],
                    exports: [
                        BsListGroupComponent,
                        BsListGroupItemComponent
                    ]
                }]
        }] });

class BsNavbarComponent {
    constructor() {
        this.isExpanded = false;
    }
    toggleExpanded() {
        this.isExpanded = !this.isExpanded;
    }
}
BsNavbarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsNavbarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsNavbarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.1.0", type: BsNavbarComponent, selector: "bs-navbar", viewQueries: [{ propertyName: "nav", first: true, predicate: ["nav"], descendants: true }], ngImport: i0, template: "<nav #nav class=\"navbar navbar-expand-md position-fixed navbar-dark bg-dark\">\n    <div class=\"container-fluid\">\n        <div class=\"d-flex w-100 w-md-auto\">\n            <a class=\"navbar-brand mx-auto mx-md-unset\" href=\"#\">Navbar 2</a>\n            <button (click)=\"toggleExpanded()\" class=\"navbar-toggler align-self-end\" type=\"button\" data-toggle=\"collapse\">\n                <span class=\"navbar-toggler-icon\"></span>\n            </button>\n        </div>\n        <ng-content></ng-content>\n    </div>\n</nav>", styles: [":host ::ng-deep+*{padding-top:56px}nav{left:0;top:0;right:0;z-index:1}@media (min-width: 768px){.mx-md-unset{margin-left:0!important;margin-right:0!important}.w-md-auto{width:auto!important}}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsNavbarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-navbar', template: "<nav #nav class=\"navbar navbar-expand-md position-fixed navbar-dark bg-dark\">\n    <div class=\"container-fluid\">\n        <div class=\"d-flex w-100 w-md-auto\">\n            <a class=\"navbar-brand mx-auto mx-md-unset\" href=\"#\">Navbar 2</a>\n            <button (click)=\"toggleExpanded()\" class=\"navbar-toggler align-self-end\" type=\"button\" data-toggle=\"collapse\">\n                <span class=\"navbar-toggler-icon\"></span>\n            </button>\n        </div>\n        <ng-content></ng-content>\n    </div>\n</nav>", styles: [":host ::ng-deep+*{padding-top:56px}nav{left:0;top:0;right:0;z-index:1}@media (min-width: 768px){.mx-md-unset{margin-left:0!important;margin-right:0!important}.w-md-auto{width:auto!important}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { nav: [{
                type: ViewChild,
                args: ['nav']
            }] } });

class BsNavbarNavComponent {
    constructor(bsNavbar) {
        //#region collapse
        this._collapse = true;
        this.bsNavbar = bsNavbar;
    }
    ngOnInit() {
    }
    set collapse(value) {
        this._collapse = value;
    }
    get collapse() {
        return this._collapse;
    }
}
BsNavbarNavComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsNavbarNavComponent, deps: [{ token: BsNavbarComponent }], target: i0.ɵɵFactoryTarget.Component });
BsNavbarNavComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.1.0", type: BsNavbarNavComponent, selector: "bs-navbar-nav", inputs: { collapse: "collapse" }, ngImport: i0, template: "<div class=\"navbar-collapse collapse w-100 show\" [@slideUpDown]=\"bsNavbar.isExpanded ? 'down' : 'up'\">\n    <ul class=\"navbar-nav mr-auto\">\n        <ng-content></ng-content>\n    </ul>\n</div>", styles: [":host{margin-right:auto}@media screen and (max-width: 767px){:host{width:100%!important}.navbar-collapse.collapse{overflow:hidden}}\n"], animations: [SlideUpDownAnimation] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsNavbarNavComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-navbar-nav', animations: [SlideUpDownAnimation], template: "<div class=\"navbar-collapse collapse w-100 show\" [@slideUpDown]=\"bsNavbar.isExpanded ? 'down' : 'up'\">\n    <ul class=\"navbar-nav mr-auto\">\n        <ng-content></ng-content>\n    </ul>\n</div>", styles: [":host{margin-right:auto}@media screen and (max-width: 767px){:host{width:100%!important}.navbar-collapse.collapse{overflow:hidden}}\n"] }]
        }], ctorParameters: function () { return [{ type: BsNavbarComponent }]; }, propDecorators: { collapse: [{
                type: Input
            }] } });

class BsNavbarItemComponent {
    constructor(parentDropdown, element) {
        this.element = element;
        this.hasDropdown = false;
        this.anchorTag = null;
        this.parentDropdown = parentDropdown;
    }
    ngOnInit() {
    }
    ngAfterContentChecked() {
        if (this.hasDropdown) {
            window.element = this.element.nativeElement;
            this.anchorTag = this.element.nativeElement.querySelector('li a');
            (this.anchorTag) && this.anchorTag.classList.add('dropdown-toggle');
            if (this.anchorTag && !this.anchorTag.onclick) {
                this.anchorTag.onclick = (ev) => {
                    ev.preventDefault();
                    // Normally there should be only one dropdown in this list
                    this.dropdowns.forEach((dropdown) => {
                        if (!(dropdown.isVisible = !dropdown.isVisible)) {
                            dropdown.childDropdowns.forEach((child) => {
                                child.isVisible = false;
                            });
                        }
                    });
                    return false;
                };
            }
        }
    }
}
BsNavbarItemComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsNavbarItemComponent, deps: [{ token: BsNavbarDropdownComponent, optional: true }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component });
BsNavbarItemComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.1.0", type: BsNavbarItemComponent, selector: "bs-navbar-item", queries: [{ propertyName: "dropdowns", predicate: i0.forwardRef(function () { return BsNavbarDropdownComponent; }) }], ngImport: i0, template: "<li [class.nav-item]=\"parentDropdown === null\" [class.dropdown]=\"(dropdowns.length > 0) && (parentDropdown === null)\" [class.dropend]=\"(dropdowns.length > 0) && (parentDropdown !== null)\">\n    <ng-content></ng-content>\n</li>", styles: ["li.dropend ::ng-deep a.dropdown-toggle{padding-right:1.5rem}li.dropend ::ng-deep a.dropdown-toggle:after{position:absolute;right:.5rem;top:.75rem}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsNavbarItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-navbar-item', template: "<li [class.nav-item]=\"parentDropdown === null\" [class.dropdown]=\"(dropdowns.length > 0) && (parentDropdown === null)\" [class.dropend]=\"(dropdowns.length > 0) && (parentDropdown !== null)\">\n    <ng-content></ng-content>\n</li>", styles: ["li.dropend ::ng-deep a.dropdown-toggle{padding-right:1.5rem}li.dropend ::ng-deep a.dropdown-toggle:after{position:absolute;right:.5rem;top:.75rem}\n"] }]
        }], ctorParameters: function () {
        return [{ type: BsNavbarDropdownComponent, decorators: [{
                        type: Optional
                    }] }, { type: i0.ElementRef }];
    }, propDecorators: { dropdowns: [{
                type: ContentChildren,
                args: [forwardRef(() => BsNavbarDropdownComponent)]
            }] } });

class BsNavbarDropdownComponent {
    constructor(parentDropdown, navbarItem) {
        this.isVisible = false;
        this.parentDropdown = parentDropdown;
        this.navbarItem = navbarItem;
    }
    get elementsToExclude() {
        return [this.navbarItem.anchorTag].filter((a) => a).map((a) => a);
    }
    ngOnInit() {
    }
}
BsNavbarDropdownComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsNavbarDropdownComponent, deps: [{ token: BsNavbarDropdownComponent, host: true, optional: true, skipSelf: true }, { token: forwardRef(() => BsNavbarItemComponent), host: true }], target: i0.ɵɵFactoryTarget.Component });
BsNavbarDropdownComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.1.0", type: BsNavbarDropdownComponent, selector: "bs-navbar-dropdown", queries: [{ propertyName: "childDropdowns", predicate: i0.forwardRef(function () { return BsNavbarDropdownComponent; }), descendants: true }], ngImport: i0, template: "<ul class=\"dropdown-menu\" [class.show]=\"isVisible\" [class.submenu]=\"!!parentDropdown\" (clickOutside)=\"isVisible = false\" [exclude]=\"elementsToExclude\" aria-labelledby=\"navbarDropdown\">\n    <ng-content></ng-content>\n</ul>", styles: ["@media (max-width: 767px){.submenu{margin-left:.5rem;margin-right:.5rem}}@media (min-width: 768px){.submenu{position:absolute;left:100%;top:-1px}}\n"], directives: [{ type: i1$1.ClickOutsideDirective, selector: "[clickOutside]", inputs: ["clickOutsideEnabled", "attachOutsideOnClick", "delayClickOutsideInit", "emitOnBlur", "exclude", "excludeBeforeClick", "clickOutsideEvents"], outputs: ["clickOutside"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsNavbarDropdownComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-navbar-dropdown', template: "<ul class=\"dropdown-menu\" [class.show]=\"isVisible\" [class.submenu]=\"!!parentDropdown\" (clickOutside)=\"isVisible = false\" [exclude]=\"elementsToExclude\" aria-labelledby=\"navbarDropdown\">\n    <ng-content></ng-content>\n</ul>", styles: ["@media (max-width: 767px){.submenu{margin-left:.5rem;margin-right:.5rem}}@media (min-width: 768px){.submenu{position:absolute;left:100%;top:-1px}}\n"] }]
        }], ctorParameters: function () {
        return [{ type: BsNavbarDropdownComponent, decorators: [{
                        type: SkipSelf
                    }, {
                        type: Host
                    }, {
                        type: Optional
                    }] }, { type: BsNavbarItemComponent, decorators: [{
                        type: Host
                    }, {
                        type: Inject,
                        args: [forwardRef(() => BsNavbarItemComponent)]
                    }] }];
    }, propDecorators: { childDropdowns: [{
                type: ContentChildren,
                args: [forwardRef(() => BsNavbarDropdownComponent), { descendants: true }]
            }] } });

class DropdownToggleDirective {
    constructor(elementRef, bsNavbarItem, parentDropdown) {
        this.elementRef = elementRef;
        this.bsNavbarItem = bsNavbarItem;
    }
    ngAfterContentInit() {
        if (this.bsNavbarItem.dropdowns.length > 0) {
            this.bsNavbarItem.hasDropdown = true;
        }
    }
}
DropdownToggleDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: DropdownToggleDirective, deps: [{ token: i0.ElementRef }, { token: forwardRef(() => BsNavbarItemComponent) }, { token: forwardRef(() => BsNavbarDropdownComponent), optional: true }], target: i0.ɵɵFactoryTarget.Directive });
DropdownToggleDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.1.0", type: DropdownToggleDirective, selector: "bs-navbar-item", queries: [{ propertyName: "childDropdowns", predicate: BsNavbarDropdownComponent }], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: DropdownToggleDirective, decorators: [{
            type: Directive,
            args: [{
                    // selector: 'bs-navbar-item > a[routerLink]',
                    selector: 'bs-navbar-item',
                    queries: {
                        childDropdowns: new ContentChildren(BsNavbarDropdownComponent)
                    }
                }]
        }], ctorParameters: function () {
        return [{ type: i0.ElementRef }, { type: BsNavbarItemComponent, decorators: [{
                        type: Inject,
                        args: [forwardRef(() => BsNavbarItemComponent)]
                    }] }, { type: BsNavbarDropdownComponent, decorators: [{
                        type: Optional
                    }, {
                        type: Inject,
                        args: [forwardRef(() => BsNavbarDropdownComponent)]
                    }] }];
    } });

class NavLinkDirective {
    constructor(elementRef, parentDropdown) {
        this.elementRef = elementRef;
        if (parentDropdown == null) {
            this.elementRef.nativeElement.classList.add('nav-link');
        }
        else {
            this.elementRef.nativeElement.classList.add('dropdown-item');
        }
    }
}
NavLinkDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: NavLinkDirective, deps: [{ token: i0.ElementRef }, { token: forwardRef(() => BsNavbarDropdownComponent), optional: true }], target: i0.ɵɵFactoryTarget.Directive });
NavLinkDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.1.0", type: NavLinkDirective, selector: "bs-navbar-item > a[routerLink]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: NavLinkDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bs-navbar-item > a[routerLink]'
                }]
        }], ctorParameters: function () {
        return [{ type: i0.ElementRef }, { type: BsNavbarDropdownComponent, decorators: [{
                        type: Optional
                    }, {
                        type: Inject,
                        args: [forwardRef(() => BsNavbarDropdownComponent)]
                    }] }];
    } });

class NavbarContentDirective {
    constructor(element) {
        this.element = element;
        this.initialPadding = 0;
        this.resizeObserver = new ResizeObserver((entries) => {
            let height = entries[0].contentRect.height;
            this.element.nativeElement.style.paddingTop = (this.initialPadding + height) + 'px';
        });
    }
    ngAfterViewInit() {
        let p = parseInt(this.element.nativeElement.style.paddingTop.replace(/px$/, ''));
        this.initialPadding = isNaN(p) ? 0 : p;
        this.resizeObserver.observe(this.navbar.nav.nativeElement);
    }
    ngOnDestroy() {
        this.resizeObserver.unobserve(this.navbar.nav.nativeElement);
    }
}
NavbarContentDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: NavbarContentDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
NavbarContentDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.1.0", type: NavbarContentDirective, selector: "[navbarContent]", inputs: { navbar: ["navbarContent", "navbar"] }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: NavbarContentDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[navbarContent]'
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; }, propDecorators: { navbar: [{
                type: Input,
                args: ['navbarContent']
            }] } });

class BsNavbarModule {
}
BsNavbarModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsNavbarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsNavbarModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsNavbarModule, declarations: [BsNavbarComponent,
        BsNavbarNavComponent,
        BsNavbarDropdownComponent,
        BsNavbarItemComponent,
        DropdownToggleDirective,
        NavLinkDirective,
        NavbarContentDirective], imports: [CommonModule,
        RouterModule,
        ClickOutsideModule], exports: [BsNavbarComponent,
        BsNavbarNavComponent,
        BsNavbarDropdownComponent,
        BsNavbarItemComponent,
        DropdownToggleDirective,
        NavLinkDirective,
        NavbarContentDirective] });
BsNavbarModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsNavbarModule, imports: [[
            CommonModule,
            RouterModule,
            ClickOutsideModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsNavbarModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsNavbarComponent,
                        BsNavbarNavComponent,
                        BsNavbarDropdownComponent,
                        BsNavbarItemComponent,
                        DropdownToggleDirective,
                        NavLinkDirective,
                        NavbarContentDirective
                    ],
                    imports: [
                        CommonModule,
                        RouterModule,
                        ClickOutsideModule
                    ],
                    exports: [
                        BsNavbarComponent,
                        BsNavbarNavComponent,
                        BsNavbarDropdownComponent,
                        BsNavbarItemComponent,
                        DropdownToggleDirective,
                        NavLinkDirective,
                        NavbarContentDirective
                    ]
                }]
        }] });

class BsAccordionTabComponent {
    constructor(accordion) {
        this.accordion = accordion;
    }
    ngOnInit() {
    }
    headerClicked(event) {
        if (this.accordion.activeTab === this) {
            this.accordion.activeTab = null;
        }
        else {
            this.accordion.activeTab = this;
        }
    }
}
BsAccordionTabComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsAccordionTabComponent, deps: [{ token: BsAccordionComponent }], target: i0.ɵɵFactoryTarget.Component });
BsAccordionTabComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.1.0", type: BsAccordionTabComponent, selector: "bs-accordion-tab", ngImport: i0, template: "<div class=\"card\">\n    <ng-content select=\"bs-accordion-tab-header\"></ng-content>\n    <div class=\"card-block overflow-hidden\" [@slideUpDown]=\"(accordion.activeTab === this) ? 'down' : 'up'\">\n        <ng-content></ng-content>\n    </div>\n</div>", styles: [".card,.card-header,.card-block{border-radius:0}.card{margin-bottom:-1px}\n"], animations: [SlideUpDownAnimation] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsAccordionTabComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-accordion-tab', animations: [SlideUpDownAnimation], template: "<div class=\"card\">\n    <ng-content select=\"bs-accordion-tab-header\"></ng-content>\n    <div class=\"card-block overflow-hidden\" [@slideUpDown]=\"(accordion.activeTab === this) ? 'down' : 'up'\">\n        <ng-content></ng-content>\n    </div>\n</div>", styles: [".card,.card-header,.card-block{border-radius:0}.card{margin-bottom:-1px}\n"] }]
        }], ctorParameters: function () { return [{ type: BsAccordionComponent }]; } });

class BsAccordionComponent {
    constructor() {
        this.activeTab = null;
    }
    ngOnInit() {
    }
}
BsAccordionComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsAccordionComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsAccordionComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.1.0", type: BsAccordionComponent, selector: "bs-accordion", queries: [{ propertyName: "tabPages", predicate: BsAccordionTabComponent }], ngImport: i0, template: "<ng-content></ng-content>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsAccordionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-accordion', template: "<ng-content></ng-content>", styles: [""] }]
        }], ctorParameters: function () { return []; }, propDecorators: { tabPages: [{
                type: ContentChildren,
                args: [BsAccordionTabComponent]
            }] } });

class BsAccordionTabHeaderComponent {
    constructor(accordionTab, accordion) {
        this.accordionTab = accordionTab;
        this.accordion = accordion;
    }
    ngOnInit() {
    }
    headerClicked(event) {
        if (this.accordion.activeTab === this.accordionTab) {
            this.accordion.activeTab = null;
        }
        else {
            this.accordion.activeTab = this.accordionTab;
        }
    }
}
BsAccordionTabHeaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsAccordionTabHeaderComponent, deps: [{ token: BsAccordionTabComponent }, { token: BsAccordionComponent }], target: i0.ɵɵFactoryTarget.Component });
BsAccordionTabHeaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.1.0", type: BsAccordionTabHeaderComponent, selector: "bs-accordion-tab-header", ngImport: i0, template: "<div class=\"card-header cursor-pointer\" (click)=\"headerClicked($event)\">\n    <ng-content></ng-content>\n</div>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsAccordionTabHeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-accordion-tab-header', template: "<div class=\"card-header cursor-pointer\" (click)=\"headerClicked($event)\">\n    <ng-content></ng-content>\n</div>", styles: [""] }]
        }], ctorParameters: function () { return [{ type: BsAccordionTabComponent }, { type: BsAccordionComponent }]; } });

class BsAccordionModule {
}
BsAccordionModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsAccordionModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsAccordionModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsAccordionModule, declarations: [BsAccordionComponent,
        BsAccordionTabComponent,
        BsAccordionTabHeaderComponent], imports: [CommonModule,
        BrowserAnimationsModule], exports: [BsAccordionComponent,
        BsAccordionTabComponent,
        BsAccordionTabHeaderComponent] });
BsAccordionModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsAccordionModule, imports: [[
            CommonModule,
            BrowserAnimationsModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsAccordionModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsAccordionComponent,
                        BsAccordionTabComponent,
                        BsAccordionTabHeaderComponent
                    ],
                    imports: [
                        CommonModule,
                        BrowserAnimationsModule
                    ],
                    exports: [
                        BsAccordionComponent,
                        BsAccordionTabComponent,
                        BsAccordionTabHeaderComponent
                    ]
                }]
        }] });

class BsTabPageComponent {
    constructor(tabControl) {
        this.disabled = false;
        this.tabControl = tabControl;
    }
    ngOnInit() {
    }
}
BsTabPageComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsTabPageComponent, deps: [{ token: BsTabControlComponent }], target: i0.ɵɵFactoryTarget.Component });
BsTabPageComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.1.0", type: BsTabPageComponent, selector: "bs-tab-page", inputs: { disabled: "disabled" }, queries: [{ propertyName: "headerTemplate", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-content *ngIf=\"tabControl.activeTab === this\"></ng-content>", styles: [""], directives: [{ type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsTabPageComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-tab-page', template: "<ng-content *ngIf=\"tabControl.activeTab === this\"></ng-content>", styles: [""] }]
        }], ctorParameters: function () { return [{ type: BsTabControlComponent }]; }, propDecorators: { headerTemplate: [{
                type: ContentChild,
                args: [TemplateRef]
            }], disabled: [{
                type: Input
            }] } });

class BsTabControlComponent {
    constructor() {
        this.activeTab = null;
    }
    ngOnInit() {
    }
    setActiveTab(tab) {
        if (!tab.disabled) {
            this.activeTab = tab;
        }
        return false;
    }
}
BsTabControlComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsTabControlComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsTabControlComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.1.0", type: BsTabControlComponent, selector: "bs-tab-control", queries: [{ propertyName: "tabPages", predicate: BsTabPageComponent }], ngImport: i0, template: "<ul class=\"nav nav-tabs\">\n  <ng-container *ngFor=\"let tab of tabPages\">\n    <li class=\"nav-item\" (click)=\"setActiveTab(tab)\" *ngIf=\"!!tab.headerTemplate\">\n      <a class=\"nav-link\" [class.active]=\"activeTab === tab\" [class.disabled]=\"tab.disabled\" [attr.aria-current]=\"activeTab === tab ? 'page' : null\" [attr.aria-disabled]=\"tab.disabled\" href=\"\">\n        <ng-container [ngTemplateOutlet]=\"tab.headerTemplate\"></ng-container>\n      </a>\n    </li>\n  </ng-container>\n</ul>\n<!-- <div class=\"container\"> -->\n  <ng-content></ng-content>\n<!-- </div> -->", styles: [""], directives: [{ type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsTabControlComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-tab-control', template: "<ul class=\"nav nav-tabs\">\n  <ng-container *ngFor=\"let tab of tabPages\">\n    <li class=\"nav-item\" (click)=\"setActiveTab(tab)\" *ngIf=\"!!tab.headerTemplate\">\n      <a class=\"nav-link\" [class.active]=\"activeTab === tab\" [class.disabled]=\"tab.disabled\" [attr.aria-current]=\"activeTab === tab ? 'page' : null\" [attr.aria-disabled]=\"tab.disabled\" href=\"\">\n        <ng-container [ngTemplateOutlet]=\"tab.headerTemplate\"></ng-container>\n      </a>\n    </li>\n  </ng-container>\n</ul>\n<!-- <div class=\"container\"> -->\n  <ng-content></ng-content>\n<!-- </div> -->", styles: [""] }]
        }], ctorParameters: function () { return []; }, propDecorators: { tabPages: [{
                type: ContentChildren,
                args: [BsTabPageComponent]
            }] } });

class BsTabControlModule {
}
BsTabControlModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsTabControlModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsTabControlModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsTabControlModule, declarations: [BsTabControlComponent,
        BsTabPageComponent], imports: [CommonModule], exports: [BsTabControlComponent,
        BsTabPageComponent] });
BsTabControlModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsTabControlModule, imports: [[
            CommonModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.0", ngImport: i0, type: BsTabControlModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsTabControlComponent,
                        BsTabPageComponent,
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsTabControlComponent,
                        BsTabPageComponent,
                    ]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { BsAccordionComponent, BsAccordionModule, BsAccordionTabComponent, BsAccordionTabHeaderComponent, BsAlertCloseComponent, BsAlertComponent, BsAlertModule, BsCalendarComponent, BsCalendarModule, BsCardComponent, BsCardHeaderComponent, BsCardModule, BsCarouselComponent, BsCarouselImageDirective, BsCarouselModule, BsListGroupComponent, BsListGroupItemComponent, BsListGroupModule, BsNavbarComponent, BsNavbarDropdownComponent, BsNavbarItemComponent, BsNavbarModule, BsNavbarNavComponent, BsTabControlComponent, BsTabControlModule, BsTabPageComponent, Color, DropdownToggleDirective, NavLinkDirective, NavbarContentDirective };
//# sourceMappingURL=mintplayer-ng-bootstrap.mjs.map
